Bug 1179142 (CVE-2015-9275) - CVE-2015-9275 arc: directory traversal
Summary: CVE-2015-9275 arc: directory traversal
Status: CLOSED UPSTREAM
Alias: CVE-2015-9275
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20150104,reported=2...
Keywords: Security
Depends On: 1179144 1179143
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-01-06 10:09 UTC by Vasyl Kaigorodov
Modified: 2019-06-08 20:20 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-08 02:37:24 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-01-06 10:09:52 UTC
It was reported [1] that arc is susceptible to directory traversal.
Original report:
...
$ pwd
/home/jwilk

$ arc x traversal.arc
Extracting file: /tmp/moo

$ ls -l /tmp/moo
-rw-r--r-- 1 jwilk users 4 Jan  4  2015 /tmp/moo

The script I used to create the test case is available at:
https://bitbucket.org/jwilk/path-traversal-samples
...

No patches available at this time.

[1]: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=774527

Comment 1 Vasyl Kaigorodov 2015-01-06 10:10:15 UTC
Created arc tracking bugs for this issue:

Affects: fedora-all [bug 1179143]
Affects: epel-all [bug 1179144]

Comment 2 Fedora Update System 2015-03-04 10:26:36 UTC
arc-5.21p-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 3 Fedora Update System 2015-03-04 10:27:44 UTC
arc-5.21p-5.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Salvatore Bonaccorso 2019-01-07 20:17:45 UTC
CVE-2015-9275 was assigned for this issue.

Comment 5 Product Security DevOps Team 2019-06-08 02:37:24 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.